dpkg-buildtree(1)

NAMN
dpkg-buildtree - hjälpprogram för åtgärder på byggträd under paketbygge

SYNOPS
dpkg-buildtree [flagga...] kommando

BESKRIVNING
dpkg-buildtree är ett verktyg för utföra vanliga åtgärder på källkodspaketets byggträd. Debianpaket.

Kommandot introducerades i dpkg 1.22.3.

KOMMANDON

clean
    Tar bort alla artefakter som skapats under ett bygge av olika dpkg-verktyg, och sökvägar som används eller styrs av dpkg-verktyg som det är säkert att rensa. Filerna används för att spåra tillståndet mellan paketbyggkörningar och är i många fall interna implementationsdetaljer som paketeraren inte behöver bry sig om, eller är riggningskataloger som innehåller byggartefakter.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DPKG_COLORS
    Väljer färgläge. För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    If set, it will be used to decide whether to activate Native Language Support, also known as internationalization (or i18n) support. The accepted values are: 0 and 1 (default).

FILER

  Städade filer

debian/files
debian/files.new
    Filer skpade av dpkg-distaddfile(1).

debian/substvars
debian/substvars.new
    Filer skapade av dpkg-shlibdeps(1).

debian/tmp
    Riggningskataloger med det innehåll som ska användas för att skapa ett paket. Både dpkg-gencontrol(1) och dpkg-gensymbols(1) skapar filer här.

EXEMPEL

  Använda i debian/rules
Du kan köra dpkg-buildtree clean från målet debian/rules clean efter att ha utfört anda nödvändiga uppstädningar.

Till exempel, för ett autoconf-liknande byggsystem:

  clean:
        [ ! -f Makefile ] || $(MAKE) distclean
        dpkg-buildtree clean

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.